
package com.tmerclub.cloud.seckill.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * 秒杀活动skuVO
 *
 * @author lhd
 * @date 2021-03-30 14:53:09
 */
public class AppSeckillSkuVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "秒杀活动单个skuid")
    private Long seckillSkuId;

    @Schema(description = "skuId")
    private Long skuId;

    @Schema(description = "秒杀活动id")
    private Long seckillId;

    @Schema(description = "用于秒杀的库存")
    private Integer stock;

    @Schema(description = "商品价格")
    private Long priceFee;

    @Schema(description = "秒杀价格")
    private Long seckillPrice;

    @Schema(description = "banner图片")
    private String imgUrl;

    @Schema(description = "sku名称")
    private String skuName;

    @Schema(description = "市场价，整数方式保存")
    private Long marketPriceFee;

    @Schema(description = "属性")
    private String properties;

    @Schema(description = "状态")
    private Integer status;

    public Long getSeckillPrice() {
        return seckillPrice;
    }

    public void setSeckillPrice(Long seckillPrice) {
        this.seckillPrice = seckillPrice;
    }

    public Long getSeckillSkuId() {
        return seckillSkuId;
    }

    public void setSeckillSkuId(Long seckillSkuId) {
        this.seckillSkuId = seckillSkuId;
    }

    public Long getSkuId() {
        return skuId;
    }

    public void setSkuId(Long skuId) {
        this.skuId = skuId;
    }

    public Long getSeckillId() {
        return seckillId;
    }

    public void setSeckillId(Long seckillId) {
        this.seckillId = seckillId;
    }

    public Integer getStock() {
        return stock;
    }

    public void setStock(Integer stock) {
        this.stock = stock;
    }

    public Long getPriceFee() {
        return priceFee;
    }

    public void setPriceFee(Long priceFee) {
        this.priceFee = priceFee;
    }

    public String getImgUrl() {
        return imgUrl;
    }

    public void setImgUrl(String imgUrl) {
        this.imgUrl = imgUrl;
    }

    public String getSkuName() {
        return skuName;
    }

    public void setSkuName(String skuName) {
        this.skuName = skuName;
    }

    public Long getMarketPriceFee() {
        return marketPriceFee;
    }

    public void setMarketPriceFee(Long marketPriceFee) {
        this.marketPriceFee = marketPriceFee;
    }

    public String getProperties() {
        return properties;
    }

    public void setProperties(String properties) {
        this.properties = properties;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    @Override
    public String toString() {
        return "AppSeckillSkuVO{" +
                "seckillSkuId=" + seckillSkuId +
                ", skuId=" + skuId +
                ", seckillId=" + seckillId +
                ", stock=" + stock +
                ", priceFee=" + priceFee +
                ", seckillPrice=" + seckillPrice +
                ", imgUrl='" + imgUrl + '\'' +
                ", skuName='" + skuName + '\'' +
                ", marketPriceFee=" + marketPriceFee +
                ", properties='" + properties + '\'' +
                ", status=" + status +
                '}';
    }
}
